## ros-noetic-moveit-resources-fanuc-moveit-config 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_resources_fanuc_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-moveit-resources-fanuc-moveit-config (0.8.2-1focal) focal; urgency=high

  * test_environment.launch: use fake_execution_type="last point" by default
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 17 Nov 2021 23:00:00 -0000

ros-noetic-moveit-resources-fanuc-moveit-config (0.8.1-1focal) focal; urgency=high

  * Rename launch parameter ``execution_type`` -> ``fake_execution_type`` to clarify that it is only used for fake controllers
  * Replace ``$(find moveit_resources\_*_moveit_config)/launch/*`` -> ``$(dirname)/*``
  * Introduce ``prbt_moveit_config/launch/test_environment.launch``
  * Minor fixes (#90 <https://github.com/ros-planning/moveit_resources/issues/90>)
    * CHOMP parameter ``collision_clearance`` got renamed (fixed typo)
    * Fix empty sensors_3d.yaml
    * ``setup_assistant.launch``: require MSA node
  * Contributors: Michael Görner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-resources-fanuc-moveit-config (0.8.0-1focal) focal; urgency=high

  * Let users specify fake execution type for demo.launch (#61 <https://github.com/ros-planning/moveit_resources/issues/61>)
    Required to invoke demo.launch use_rviz:=false with execution speedup for tests.
    See https://github.com/ros-planning/moveit/pull/2602
    for the corresponding patch in the setup assistant.
  * Contributors: Michael Görner

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 27 Apr 2021 22:00:00 -0000

ros-noetic-moveit-resources-fanuc-moveit-config (0.7.2-1focal) focal; urgency=high

  * Migrate to GitHub Actions (#57 <https://github.com/ros-planning/moveit_resources/issues/57>)
  * Fix formatting issues
  * Run multiple planning pipelines with MoveGroup (#47 <https://github.com/ros-planning/moveit_resources/issues/47>)
  * Change package maintainer to MoveIt Release Team
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 25 Mar 2021 23:00:00 -0000

ros-noetic-moveit-resources-fanuc-moveit-config (0.7.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Oct 2020 22:00:00 -0000

ros-noetic-moveit-resources-fanuc-moveit-config (0.7.0-1focal) focal; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Contributors: Robert Haschke, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Wed, 12 Aug 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-moveit-resources-fanuc-moveit-config
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-resources-fanuc-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-joint-state-publisher, ros-noetic-moveit-resources-fanuc-description, ros-noetic-robot-state-publisher, ros-noetic-tf2-ros, ros-noetic-xacro
Description: MoveIt Resources for testing: Fanuc M-10iA.
 A project-internal configuration for testing in MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-resources-fanuc-moveit-config//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
